Bug 2241934 - After upstream repo switched to zst compression, Satellite 6.12.5.1 unable to sync [NEEDINFO]
Summary: After upstream repo switched to zst compression, Satellite 6.12.5.1 unable to...
Keywords:
Status: VERIFIED
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Pulp
Version: 6.12.5
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: 6.15.0
Assignee: satellite6-bugs
QA Contact: Vladimír Sedmík
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2023-10-03 13:57 UTC by Vincent S. Cojot
Modified: 2024-01-08 17:22 UTC (History)
15 users (show)

Fixed In Version: pulp_rpm-3.18.19, pulp_rpm-3.19.11, pulp_rpm-3.22.6, createrepo_c-1.0.2
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 2250349 2257300 (view as bug list)
Environment:
Last Closed:
Target Upstream Version:
Embargoed:
dalley: needinfo? (bbuckingham)
dalley: needinfo? (ehelms)


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github pulp pulp_rpm issues 3254 0 None closed Support for zstd metadata 2023-10-09 16:05:59 UTC
Red Hat Issue Tracker SAT-20548 0 None None None 2023-10-03 14:06:10 UTC

Description Vincent S. Cojot 2023-10-03 13:57:02 UTC
Description of problem:

I have a custom product on this satellite:
https://repo.skype.com/rpm/stable

This has worked well for years but it appears that Skype recently switched to ztd compression for its repodata.
Even though my Satellite has the RHEL8.8 zst packages installed, this makes the repo unsyncable and an error is seen in the sync task log:


Errors:
Cannot open /var/lib/pulp/tmp/6323.solace.krynn/tmpdfzm7dwc/tmp6vz8wmzq-44e0a07b586dafa046deee582d4d49601f6b407703f53e0353546444cec4a78b-primary.xml.zst: Cannot detect compression type

Version-Release number of selected component (if applicable):
Satellite 6.15.1 + RHEL 8.8

How reproducible:
100%, the product and its CV are no longer updating since Skype switched to zst comnpression.

Steps to Reproduce:
1. Create a skype product (yum) with a yum repo pointing to: https://repo.skype.com/rpm/stable
2. Try to sync it.
3.

Actual results:
Errors:
Cannot open /var/lib/pulp/tmp/6323.solace.krynn/tmpdfzm7dwc/tmp6vz8wmzq-44e0a07b586dafa046deee582d4d49601f6b407703f53e0353546444cec4a78b-primary.xml.zst: Cannot detect compression type

this is even though my Sat has the rpms installed:
[root@sat6 ~]# rpm -qa pulpcore\* *zst* satellite
satellite-6.12.5.1-1.el8sat.noarch
pulpcore-selinux-1.3.2-1.el8pc.x86_64
zstd-1.4.4-1.el8.x86_64
libzstd-1.4.4-1.el8.i686
libzstd-devel-1.4.4-1.el8.x86_64
libzstd-1.4.4-1.el8.x86_64

Comment 1 Vincent S. Cojot 2023-10-03 14:07:28 UTC
I meant 6.12.5.1, sorry, not 6.15.1! :)

Comment 2 Ina Panova 2023-10-03 16:51:49 UTC
We have in-progress upstream PR. Once merged it can be backported.

Comment 4 Daniel Alley 2023-10-04 03:02:19 UTC
So this is not currently supported, but is very easy to add support for.  Just a couple of lines and a dependency update.  See: https://github.com/pulp/pulp_rpm/pull/3255/files

I don't know how aggressively we want to backport it but I just want to make clear that whether repos update or not to zstd metadata, is not within our control, and therefore repos could in theory just start switching and "breaking" out of the blue. I don't think that will happen quickly, certainly not with the important ones, but still my suggestion is that we backport back to at least 6.12 to avoid getting caught out by it.

That would require an async update, but I kind of expect we will want one anyway for some of the import/export issues which we are working on currently.

Comment 5 Vincent S. Cojot 2023-10-04 19:48:46 UTC
Hi Daniel, thank you for chiming in. I would -love- to see this resolved on 6.12.z in an async or a z-stream release.

Comment 6 Daniel Alley 2023-10-08 23:42:06 UTC
Fix also requires a new version of createrepo_c, 1.0.1

Comment 7 Robin Chan 2023-10-09 16:06:01 UTC
The Pulp upstream bug status is at closed. Updating the external tracker on this bug.

Comment 12 Vladimír Sedmík 2023-12-11 09:39:55 UTC
Verified in 6.15.0 snap 1.0 (python3.11-pulp-rpm-3.23.0-2.el8pc.noarch):
1. Ensured https://repo.skype.com/rpm/stable still uses the zst compression.
2. Successfully synced it on Satellite - all packages were synced.


Note You need to log in before you can comment on or make changes to this bug.